aboutsummaryrefslogtreecommitdiffstats
path: root/coin/pre-provisioning
diff options
context:
space:
mode:
authorTero Heikkinen <tero.heikkinen@qt.io>2023-06-09 10:49:57 +0300
committerTero Heikkinen <tero.heikkinen@qt.io>2023-08-22 14:00:24 +0300
commit9ea71ea245644a2c0d78b0a3f9a9964e151ef318 (patch)
tree26218f16277eea72f1d12f59a1ddc9e30a74f6c2 /coin/pre-provisioning
parenta4628e939beedb4e6b5533d16433928c11f83a4d (diff)
Upgrade RHEL 9.0 to version 9.2
RHEL 9.2 will replace RHEL 9.0 in yaml configurations at first and RHEL 9.0 scripts are still kept for some time. RHEL 9.0 scripts will be removed later. Task-number: QTQAINFRA-5608 Change-Id: Iff463f26ba6bcb7962b4f8bafbf88aa7c13392c1 Reviewed-by: Heikki Halmet <heikki.halmet@qt.io> Reviewed-by: Qt CI Bot <qt_ci_bot@qt-project.org>
Diffstat (limited to 'coin/pre-provisioning')
-rw-r--r--coin/pre-provisioning/qtci-linux-RHEL-9.2-x86_64/01-disable-automounting.sh51
-rw-r--r--coin/pre-provisioning/qtci-linux-RHEL-9.2-x86_64/README_MANUAL_INSTALLATIONS60
2 files changed, 111 insertions, 0 deletions
diff --git a/coin/pre-provisioning/qtci-linux-RHEL-9.2-x86_64/01-disable-automounting.sh b/coin/pre-provisioning/qtci-linux-RHEL-9.2-x86_64/01-disable-automounting.sh
new file mode 100644
index 00000000..070c6087
--- /dev/null
+++ b/coin/pre-provisioning/qtci-linux-RHEL-9.2-x86_64/01-disable-automounting.sh
@@ -0,0 +1,51 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2023 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+sudo tee -a /etc/dconf/db/local.d/00-media-automount <<"EOF"
+[org/gnome/desktop/media-handling]
+automount=false
+automount-open=false
+EOF
+
+sudo dconf update
+
diff --git a/coin/pre-provisioning/qtci-linux-RHEL-9.2-x86_64/README_MANUAL_INSTALLATIONS b/coin/pre-provisioning/qtci-linux-RHEL-9.2-x86_64/README_MANUAL_INSTALLATIONS
new file mode 100644
index 00000000..f12e95f1
--- /dev/null
+++ b/coin/pre-provisioning/qtci-linux-RHEL-9.2-x86_64/README_MANUAL_INSTALLATIONS
@@ -0,0 +1,60 @@
+### RHEL 9.2 ###
+Hard Disk: 500G
+Network: CI
+Video Card: Total Video Memory: 64MB
+Boot options/Firmware: BIOS
+
+Language: English (United States)
+Time & Date: Etc/Coordinated Universal Time
+Software Selection: Server with GUI
+Installation Destination: Automatic partitioning selected
+Root Passowrd: Set
+Network & Host..: Connect
+Beging Installation
+
+Reboot
+
+# Configure Settings
+ Notifications:
+ * Lock Screen Notifications: OFF
+ * Applications: Set notification off
+ Applications:
+ * Disable notifications from all applications
+ Privacy:
+ * Blank Screen Delay: Never
+ * Screen Lock: OFF
+ Power:
+ * Blank screen: Never
+ Displays:
+ * Resolution: 1280 x 800
+ Users:
+ * Automatic login on
+
+# Add user to sudoers
+Add 'qt ALL=NOPASSWD: ALL' to /etc/sudoers.d/qt
+
+Add 'GRUB_GFXMODE=1280x800' to /etc/default/grub
+sudo grub2-mkconfig -o /etc/grub2.cfg
+sudo grub2-mkconfig -o /boot/grub2/grub.cfg
+
+# Add support for virtio driver
+su
+echo "add_drivers+=\" virtio-blk \"" >> /etc/dracut.conf.d/virtio.conf
+dracut -f
+
+# Do these from Opennebula UI!
+
+# Enable network connection from right upper corner
+
+# Fetch and run coin-setup
+Download http://coin/coin/binary/linux_amd64/coin-setup
+# run as qt user
+run './coin-setup'
+
+# Switch to use GNOME Classic user interface
+# GNOME Classic was selected because there's an issue with Starndard (wayland display server). Autotest start failing because terminal session remains in Activities Overview.
+# https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/3854
+First execute script ./01-disable-automounting.sh (dconf update crash in GNOME Classic)
+logout -> Select user (without it the drop down menu won't appear) -> switch to 'GNOME Classic' from drop down menu in login screen
+
+Reboot